import 'dart:io';
import 'dart:async';

import 'package:flutter/services.dart';

class FlutterTelevision {
  static const MethodChannel _channel =
  const MethodChannel('com.awesome.flutter_television');

  static Future<bool> get checkDevice async {
    if(Platform.isAndroid){
      final bool tvDevice = await _channel.invokeMethod('com.awesome.check_device');
      return tvDevice;
    }else{
      return false;
    }
  }
}
